# roducer/Version File Reference

`#include <osgProducer/Export>`

Include dependency graph for roducer/Version:

This graph shows which files directly or indirectly include this file:

## Defines

#define | OSGPRODUCER_VERSION 1

## Functions

OSGPRODUCER_EXPORT const char * | osgProducerGetVersion ()
| osgProducerGetVersion() returns the library version number.
OSGPRODUCER_EXPORT const char * | osgProducerGetLibraryName ()
| getLibraryName_osgProducer() returns the library name in human friendly form.

## Define Documentation

#define OSGPRODUCER_VERSION 1

## Function Documentation

OSGPRODUCER_EXPORT const char* osgProducerGetLibraryName | ( |  | ) |

| getLibraryName_osgProducer() returns the library name in human friendly form.

OSGPRODUCER_EXPORT const char* osgProducerGetVersion | ( |  | ) |

osgProducerGetVersion() returns the library version number.

Numbering convention : osg_src-0.8.31 will return 0.8.31.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph (OSG) GLUT library
     #
     AC_CHECK_LIB(osg, osgProducerGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph GLUT library not found. See http://www.openscenegraph.org)],)